org.jboss.logmanager.filters

## Class AnyFilter

- java.lang.Object
- - org.jboss.logmanager.filters.AnyFilter

All Implemented Interfaces:
  Filter

    public final class AnyFilter
    extends Object
    implements Filter

A filter consisting of several filters in a chain. If any filter finds the log message to be loggable, the message will be logged and subsequent filters will not be checked. If there are no nested filters, this instance always returns `false`.

### Constructor Summary

Constructors
Constructor and Description
`AnyFilter(Filter[] filters)` Construct a new instance.
`AnyFilter(Iterable<Filter> filters)` Construct a new instance.
`AnyFilter(Iterator<Filter> filters)` Construct a new instance.

### Method Summary

Methods
`boolean` `isLoggable(LogRecord record)` Determine whether the record is loggable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnyFilter

    public AnyFilter(Filter[] filters)

Construct a new instance.

Parameters:
  `filters` - the constituent filters

#### AnyFilter

    public AnyFilter(Iterable<Filter> filters)

Construct a new instance.

Parameters:
  `filters` - the constituent filters

#### AnyFilter

    public AnyFilter(Iterator<Filter> filters)

Construct a new instance.

Parameters:
  `filters` - the constituent filters

### Method Detail

#### isLoggable

    public boolean isLoggable(LogRecord record)

Determine whether the record is loggable.

Specified by:
  `isLoggable` in interface `Filter`
Parameters:
  `record` - the log record
Returns:
  `true` if any of the constituent filters return `true`